> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set

> Set replaces all owners for a given app user and role.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples put /api/v2/apps/{app_id}/users/{user_id}/owners
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/apps/{app_id}/users/{user_id}/owners:
    put:
      tags:
        - App User Owner V2
      summary: Set
      description: Set replaces all owners for a given app user and role.
      operationId: c1.api.app.v2.AppUserOwnersV2.Set
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: user_id
          required: true
          schema:
            description: The userId field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v2.SetAppUserOwnersV2RequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v2.SetAppUserOwnersV2Response'
          description: >-
            SetAppUserOwnersV2Response is the empty response for setting app
            user owners.
      x-codeSamples:
        - lang: go
          label: Set
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppUserOwnersV2.Set(ctx, operations.C1APIAppV2AppUserOwnersV2SetRequest{\n        AppID: \"<id>\",\n        UserID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SetAppUserOwnersV2Response != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.app.v2.SetAppUserOwnersV2RequestInput:
      description: >-
        SetAppUserOwnersV2Request is the request for setting the owners of an
        app user for a given role.
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
        roleSlug:
          description: The roleSlug field.
          type: string
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Set App User Owners V 2 Request
      type: object
      x-speakeasy-name-override: SetAppUserOwnersV2Request
    c1.api.app.v2.SetAppUserOwnersV2Response:
      description: >-
        SetAppUserOwnersV2Response is the empty response for setting app user
        owners.
      title: Set App User Owners V 2 Response
      type: object
      x-speakeasy-name-override: SetAppUserOwnersV2Response
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          type: string
        id:
          description: The id field.
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          type: string
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````